<?xml version="1.0"?>
<!--
    The contents of this file are subject to the Mozilla Public License Version 1.1
    (the "License"); you may not use this file except in compliance with the License.
    You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

    Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
    WARRANTY OF ANY KIND, either express or implied. See the License for the specific
    language governing rights and limitations under the License.

    The Original Code is the Venice Web Communities System.

    The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
    for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
    Copyright (C) 2003 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

    Contributor(s): 
-->
<dialog name="frame_laf" defaultbutton="update">
  <title>Frame Look-And-Feel Parameters</title>
  <action>sysadmin/frame_laf.js.vs</action>

  <header name="bas_hdr" caption="Basic Information"/>
  <text name="sitetitle" caption="Site title" required="true" size="32" maxlength="254"/>
  <text name="siteurl" caption="Site base URL" required="true" size="32" maxlength="254"/>
  <text name="template" caption="Frame template resource" required="true" size="32" maxlength="254"
        caption2="(Do NOT change this unless you know what you're doing!)"/>
  <text name="fptitle" caption="Front page title" required="true" size="32" maxlength="254"/>

  <header name="lay_hdr" caption="Layout Information"/>
  <int name="lbarwidth" caption="Left frame bar width" caption2="(in pixels)" required="true" min="1" max="512"/>
  <checkbox name="comments" caption="Display optional HTML comments"/>
  <checkbox name="smarttags" caption="Allow Microsoft Smart Tags to display on pages" caption2="(not recommended)"/>

  <header name="logo_hdr" caption="Site Logo">
    This image is displayed in the upper-left portion of the frame.
  </header>
  <text name="logourl" caption="Site logo URL" required="true" size="32" maxlength="254"/>
  <linktypelist name="logourltype" caption="Site logo URL type" required="true"/>
  <int name="logowidth" caption="Site logo width" caption2="(in pixels)" required="true" min="1" max="1024"/>
  <int name="logoheight" caption="Site logo height" caption2="(in pixels)" required="true" min="1" max="1024"/>

  <header name="foot_hdr" caption="Page Footer"/>
  <textbox name="footer" caption="Page footer text" required="true" rows="4" cols="60" maxlength="65535" wrap="soft"/>
  <int name="fscale" caption="Footer image scaling" caption2="(in percent)" required="true" min="1" max="100"/>
  <checkbox name="fbreak" caption="Add linebreaks to footer text"/>

  <header name="icon_hdr" caption="Page Icon">
    This is a small image file of any format used as a page icon by Mozilla and other browsers.
  </header>
  <text name="pgi_url" caption="Page icon URL" size="32" maxlength="254"/>
  <linktypelist name="pgi_urltype" caption="Page icon URL type"/>
  <text name="pgi_mime" caption="Page icon MIME type" size="32" maxlength="254"/>

  <header name="fav_hdr" caption="Page FavIcon">
    This is a Microsoft-format .ICO file used by Internet Explorer.
  </header>
  <text name="fav_url" caption="FavIcon URL" size="32" maxlength="254"/>
  <linktypelist name="fav_urltype" caption="FavIcon URL type"/>

  <button name="update"/>
  <button name="cancel"/>
</dialog>
